Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSClientConfiguration Class Reference

`#import <CSClientConfiguration.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithDataDirectory:
| Initialize with configuration detail with directory for storing persistent data. More...
(instancetype) | - initWithDataDirectory:productName:productVersion:platform:osVersion:buildNumber:vendorName:
| Initialize with configuration details like name and version of the product, platform, operating system version, and build number, vendor name and device handle. More...

## Properties
NSString * | productName
| Product name. More...
NSString * | productVersion
| Product version. More...
NSString * | platform
| Platform. More...
NSString * | osVersion
| Operating system version. More...
NSString * | buildNumber
| Build number. More...
NSString * | vendorName
| Vendor name. More...
NSString * | userAgentName
| The product-identifying string used in the User-Agent header. More...
NSString * | userAgentInstanceId
| A unique instance id of the user agent. More...
CSSecurityPolicyConfiguration * | securityPolicyConfiguration
| Configuration data containing security policy. More...
CSMediaConfiguration * | mediaConfiguration
| Configuration data containing the media (audio, video) data. More...
NSString * | dataDirectory
| The directory for storing persistent data. More...
BOOL | analyticsEnabled
| Used to control the collection of analytics data by the SDK. More...
CSProxyMode | proxyMode
| Proxy mode to use with network connections. More...
id< CSCredentialProvider > | proxyCredentialProvider
| Credential provider for proxy authentication. More...
BOOL | proxyFallbackEnabled
| Defines if proxy fallback feature is enabled or not. More...
BOOL | cellularCallDetectionEnabled
| A Boolean value indicating whether the SDK detects and handles the presence of cellular calls on the device. More...

## Method Documentation

- (instancetype) initWithDataDirectory: |  | (NSString *) | dataDirectory |

Initialize with configuration detail with directory for storing persistent data.

- (instancetype) initWithDataDirectory: |  | (NSString *) | dataDirectory
productName: |  | (NSString *) | productName
productVersion: |  | (NSString *) | productVersion
platform: |  | (NSString *) | platform
osVersion: |  | (NSString *) | osVersion
buildNumber: |  | (NSString *) | buildNumber
vendorName: |  | (NSString *) | vendorName

Initialize with configuration details like name and version of the product, platform, operating system version, and build number, vendor name and device handle.

## Property Documentation

- (BOOL) analyticsEnabled
| read write nonatomic assign

Used to control the collection of analytics data by the SDK.

The analytics information collected by the SDK is for internal Avaya use only and contains no personally identifiable information. These analytics are used solely by Avaya for the purposes of improving its products and will not be shared with anyone outside of Avaya.

Note that changes to this setting are not effective after the CSClient object has been created.

The default value is NO (the collection of analytics is disabled).

- (NSString*) buildNumber
| read write nonatomic copy

Build number.

- (BOOL) cellularCallDetectionEnabled
| read write nonatomic assign

A Boolean value indicating whether the SDK detects and handles the presence of cellular calls on the device.

Applications making use of CallKit to integrate the SDK with the iOS telephony system via a CXProvider should set this to NO.

Prior to the introduction of CallKit, VoIP applications needed to handle a cellular call becoming active on the device, as iOS would prioritize audio for the cellular call, disabling audio for the VoIP application. The SDK includes features to handle this automatically, placing active calls on hold and preventing new calls from being started until the cellular call ends. For applications using CallKit these features are no longer needed and should be disabled. CallKit applications should instead use audioSessionDidBecomeActive: (CSClient) to inform the SDK of when CallKit activates and deactivates the audio session.

Defaults to YES.

- (NSString*) dataDirectory
| read write nonatomic copy

The directory for storing persistent data.

- (CSMediaConfiguration*) mediaConfiguration
| read write nonatomic strong

Configuration data containing the media (audio, video) data.

- (NSString*) osVersion
| read write nonatomic copy

Operating system version.

- (NSString*) platform
| read write nonatomic copy

Platform.

- (NSString*) productName
| read write nonatomic copy

Product name.

- (NSString*) productVersion
| read write nonatomic copy

Product version.

- (id<CSCredentialProvider>) proxyCredentialProvider
| read write nonatomic weak

Credential provider for proxy authentication.

- (BOOL) proxyFallbackEnabled
| read write nonatomic assign

Defines if proxy fallback feature is enabled or not.

Proxy fallback is a feature that will allow Client SDK to connect directly to given endpoint despite proxy settings. First, connection is made via proxy (if set in Operating System) and if there's a failure (except wrong credentials), another attempt is made to establish a connection, only this time bypassing proxy settings.

- (CSProxyMode) proxyMode
| read write nonatomic assign

Proxy mode to use with network connections.

- (CSSecurityPolicyConfiguration*) securityPolicyConfiguration
| read write nonatomic strong

Configuration data containing security policy.

- (NSString*) userAgentInstanceId
| read write nonatomic copy

A unique instance id of the user agent.

This is the instance.id defined in RFC 5626. According to RFC 5626, each UA MUST have an Instance Identifier Uniform Resource Name (URN) [RFC2141] that uniquely identifies the device. Usage of a URN provides a persistent and unique name for the UA instance. It also provides an easy way to guarantee uniqueness within the AOR. This URN MUST be persistent across power cycles of the device. The instance ID MUST NOT change as the device moves from one network to another. A device like a "soft phone", when first installed, can generate a UUID [RFC4122] and then save this in persistent storage for all future use.

This is typically a string representation of a UUID.

- (NSString*) userAgentName
| read write nonatomic copy

The product-identifying string used in the User-Agent header.

- (NSString*) vendorName
| read write nonatomic copy

Vendor name.

The documentation for this class was generated from the following file:

- CSClientConfiguration.h